unit MainForm;
interface
uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls, ComCtrls, Grids;

type
  TForm1 = class(TForm)
    Panel1: TPanel;
    edtQuery: TEdit;
    btnSearch: TButton;
    StringGrid1: TStringGrid;
    StatusBar1: TStatusBar;
    procedure btnSearchClick(Sender: TObject);
    procedure FormResize(Sender: TObject);
    procedure StringGrid1DblClick(Sender: TObject);
  end;

var
  Form1: TForm1;

implementation
uses
  GoogleSearch, ShellAPI;

{$R *.dfm}

procedure TForm1.FormResize(Sender: TObject);
begin
  StringGrid1.ColWidths[0] := 20;
  StringGrid1.ColWidths[1] := (StringGrid1.ClientWidth - 55) div 2;
  StringGrid1.ColWidths[2] := StringGrid1.ColWidths[1];
  StringGrid1.ColWidths[3] := 32;
  StringGrid1.Cells[0,0] := ' #';
  StringGrid1.Cells[3,0] := ' KB'
end;

procedure TForm1.btnSearchClick(Sender: TObject);
var
  Results: GoogleSearchResult;
  i: Integer;
begin
  Results := GetGoogleSearchPort.doGoogleSearch('1WpiIaxr+k+hbyYbRLZOJfg7X9NgI837',
    edtQuery.Text, 0, 10, True, '', True, 'lang_en', 'latin1', 'latin1');
  Caption := Format('%d results in %.2n seconds',
    [Results.estimatedTotalResultsCount,Results.searchTime]);
  for i:=Low(Results.resultElements) to High(Results.resultElements) do
  begin
    StringGrid1.Cells[0,Succ(i)] := IntToStr(Succ(i));
    StringGrid1.Cells[1,Succ(i)] := Results.resultElements[i].title;
    StringGrid1.Cells[2,Succ(i)] := Results.resultElements[i].URL;
    StringGrid1.Cells[3,Succ(i)] := Results.resultElements[i].cachedSize
  end
end;

procedure TForm1.StringGrid1DblClick(Sender: TObject);
begin
  with (Sender as TStringGrid) do
    ShellExecute(Handle,'open',PChar(Cells[2,Row]),nil, nil,SW_NORMAL)
end;

end.
